Skip to main content
GET
/
ai
/
agents
/
{agent_id}
Get AI agent
curl --request GET \
  --url https://api.wacht.dev/ai/agents/{agent_id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "deployment_id": "<string>",
  "configuration": {},
  "sub_agents": [
    "<string>"
  ],
  "tools_count": 123,
  "knowledge_bases_count": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

agent_id
string
required

Response

AI agent

id
string
created_at
string<date-time>
updated_at
string<date-time>
name
string
description
string | null
deployment_id
string
configuration
object
sub_agents
string[] | null
tools_count
integer
knowledge_bases_count
integer